#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""Rechte zum Bearbeiten von Kursen für QT

Revision ID: fc8feb8537a7
Revises: 654a767a4da4
Create Date: 2016-12-05 16:13:45.867667

"""

# revision identifiers, used by Alembic.
revision = 'fc8feb8537a7'
down_revision = '654a767a4da4'

from alembic import op
import sqlalchemy as sa

# Karls werden auch Kursadmins. Kein Löschen, Kein Import
INSERTS = """
INSERT INTO roles (uuid, id, label, name, description, admin, uid, gid) VALUES ('43bae9eb-1c38-4240-9b81-a9c772d9411a', 6, 'Kursadministration', 'kursadmin', 'Darf Kurse anlegen bearbeiten und exportieren.', true, NULL, NULL);
INSERT INTO nm_action_roles (aid, rid) VALUES (196, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (197, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (198, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (199, 6);
INSERT INTO nm_action_roles (aid, rid) VALUES (200, 6);
INSERT INTO nm_user_roles (uid, rid) SELECT id, 6 FROM users WHERE id in (SELECT uid from nm_user_roles WHERE rid = 4);
"""
DELETES = """
DELETE FROM nm_action_roles WHERE aid = 196
DELETE FROM nm_action_roles WHERE aid = 197
DELETE FROM nm_action_roles WHERE aid = 198
DELETE FROM nm_action_roles WHERE aid = 199
DELETE FROM nm_action_roles WHERE aid = 200
DELETE FROM roles WHERE id = 6
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
